コンテンツへスキップ

CogVideoX-5B

統合

モデルID cogvideox-5b
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.ru/v1/run/cogvideox-5b?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.ru/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

このリクエスト: $0.20 200 APIクレジット · ≈ ₽21.09 このページで実行

APIキーを取得

LoRA対応とフレームレート調整を備えたCogVideoX-5Bのテキストから動画生成

Zhipu AI · 動画

最初の結果がここに表示されます

以下でリクエストを作成し、APIキーで実行してください。出力はストレージにコピーされ、永久保存または無料で7日保存されます。

リクエストを作成

コントロールはモデルスキーマから生成されます。値を変更するとコードと価格が更新されます。

•必須

動画生成の基礎となるプロンプト。

詳細設定 negative_prompt · video_size · num_inference_steps · guidance_scale · export_fps · seed · use_rife · enable_safety_checker · loras
デフォルト

動画生成用のネガティブプロンプト。

video_size デフォルト {"height":480,"width"...

生成された動画のサイズ。

デフォルト 50

実行する推論ステップ数。

デフォルト 7

関連する動画を表示するためにモデルが検索する際のプロンプトへの忠実度。CFGスケール(Classifier Free Guidance)で表します。

デフォルト 16

動画の目標フレームレート(FPS)。

再現可能な動画生成のためのシード。毎回完全に再現するには、モデルバージョン、プロンプト、シードを変更しないでください。

デフォルト []

画像生成用に単一のLoRAを指定します。現在、複数のLoRAには対応していません。

POST /run/cogvideox-5b?wait=20 見積もり → $0.20
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.ru/v1/run/cogvideox-5b?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.ru/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

このリクエストを実行

キーはこのブラウザ内に保持されます。Doitong APIにのみ送信され、「記憶する」にチェックを入れた場合のみlocalStorageに保存されます。 APIキーを取得

CogVideoX-5Bについて

テキスト`prompt`から短い動画を生成します。square_hdやlandscape_16_9などの`video_size`プリセットを選び、`num_inference_steps`(1〜50)と`guidance_scale`(0〜20)を設定し、`negative_prompt`を追加できます。`export_fps`は4〜32で、RIFE補間はデフォルトで有効です。LoRAを1つ適用できます。

パラメータ

名前型 デフォルト許可される値 説明
prompt必須
型string
動画生成の基礎となるプロンプト。
video_size任意
型object
デフォルト{"height":480,"width":720}
square_hdsquareportrait_4_3portrait_16_9landscape_4_3landscape_16_9
生成された動画のサイズ。
negative_prompt任意
型string
デフォルト
動画生成用のネガティブプロンプト。
loras任意
型object[]
デフォルト[]
画像生成用に単一のLoRAを指定します。現在、複数のLoRAには対応していません。
loras[].path必須
型string
URLまたはパスで指定するLoRAウェイトの場所。
loras[].scale任意
型number
デフォルト1
0 – 4
ベースモデルに統合する前にLoRAウェイトへ適用する倍率。
num_inference_steps任意
型integer
デフォルト50
1 – 50
実行する推論ステップ数。
seed任意
型integer | null
再現可能な動画生成のためのシード。毎回完全に再現するには、モデルバージョン、プロンプト、シードを変更しないでください。
guidance_scale任意
型number
デフォルト7
0 – 20
関連する動画を表示するためにモデルが検索する際のプロンプトへの忠実度。CFGスケール(Classifier Free Guidance)で表します。
use_rife任意
型boolean
デフォルトtrue
RIFEによる動画補間を有効にします。
export_fps任意
型integer
デフォルト16
4 – 32
動画の目標フレームレート(FPS)。
enable_safety_checker任意
型boolean
デフォルトtrue
呼び出し元に権限がある場合、false に設定するとスクリーニングを緩和できます。
必須

出力

GET /requests/req_8k2m4q7x1z9c3v5b6n0p2r4t
{
  "id": "req_8k2m4q7x1z9c3v5b6n0p2r4t",
  "object": "request",
  "model": "cogvideox-5b",
  "status": "succeeded",
  "created_at": "2026-10-20T12:00:00Z",
  "started_at": "2026-10-20T12:00:02Z",
  "completed_at": "2026-10-20T12:00:09Z",
  "queue_position": null,
  "cost": {
    "credits": 200,
    "usd": "0.20",
    "charged": 200,
    "refunded": 0
  },
  "input": {
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
  },
  "output": {
    "video": {
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.mp4",
      "content_type": "video/mp4",
      "file_name": "0-output.mp4",
      "file_size": 1843200
    },
    "timings": {},
    "seed": 42,
    "prompt": "string"
  },
  "outputs": [
    {
      "type": "video",
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.mp4",
      "content_type": "video/mp4",
      "file_size": 1843200,
      "width": 1280,
      "height": 720,
      "duration": 5,
      "stored": true
    }
  ],
  "error": null,
  "metrics": {
    "inference_seconds": 6.8
  },
  "urls": {
    "self": "https://api.doitong.ru/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t",
    "cancel": "https://api.doitong.ru/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t/cancel"
  }
}
ファイルの保存期間を選択すべてのoutputs[].urlはストレージ上のコピーです。アカウント設定または?storage=により、永久保存(GB・月単位で有料)または無料で7日保存できます。
すべてのモデルで同じ形式画像、動画、音声のいずれでも、type、url、content_type、width、height、durationが含まれます。outputはモデル独自の結果オブジェクトです。
出力フィールド
video
object {url, content_type, file_name, file_size}生成された動画を指すURL。
timings
object
seed
integer動画生成に実際に使用されたシード。入力でシードを省略した場合はランダムに選ばれた値を含み、それ以外では入力シードと一致します。
prompt
string動画の生成に使用するプロンプト。

その他のモデル: テキストから動画

AIエージェント向け:このページのMarkdown版はこちらです: https://doitong.com/ja/developers/models/cogvideox-5b.md. すべてのモデルとガイド: https://doitong.com/developers/llms.txt